function stringsToData(input)
  local output={}
  for y=1,table.getn(input) do
    local line = input[y]
    local flag = 1
    local data = 0
    for x=1,string.len(line) do
      local character = string.sub(line,x,x)
      if character=="X" then
        data = data + flag
      end
      flag = flag * 2
    end
    output[y]=data
  end
  return output
end

return {
  solid={data={0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF},columns=8},
  box={data={0xFF,0x81,0x81,0x81,0x81,0x81,0x81,0xFF},columns=8},
  
	character0={data={0,0,0,0,0,0,0,0},columns=8},
	character1={data={126,129,165,129,189,153,129,126},columns=8},
	character2={data={126,255,219,255,195,231,255,126},columns=8},
	character3={data={54,127,127,127,62,28,8,0},columns=8},
	character4={data={8,28,62,127,62,28,8,0},columns=8},
	character5={data={28,62,28,127,127,73,8,62},columns=8},
	character6={data={0,8,28,62,127,62,28,62},columns=8},
	character7={data={0,0,24,60,60,24,0,0},columns=8},
	character8={data={255,255,231,195,195,231,255,255},columns=8},
	character9={data={0,60,102,66,66,102,60,0},columns=8},
	character10={data={255,195,153,189,189,153,195,255},columns=8},
	character11={data={240,224,240,190,51,51,51,30},columns=8},
	character12={data={60,102,102,102,60,24,126,24},columns=8},
	character13={data={252,204,252,12,12,14,15,7},columns=8},
	character14={data={254,198,254,198,198,230,103,3},columns=8},
	character15={data={153,90,60,231,231,60,90,153},columns=8},
	character16={data={1,7,31,127,31,7,1,0},columns=8},
	character17={data={64,112,124,127,124,112,64,0},columns=8},
	character18={data={24,60,126,24,24,126,60,24},columns=8},
	character19={data={102,102,102,102,102,0,102,0},columns=8},
	character20={data={254,219,219,222,216,216,216,0},columns=8},
	character21={data={124,198,28,54,54,28,97,63},columns=8},
	character22={data={0,0,0,0,126,126,126,0},columns=8},
	character23={data={24,60,126,24,126,60,24,255},columns=8},
	character24={data={24,60,126,24,24,24,24,0},columns=8},
	character25={data={24,24,24,24,126,60,24,0},columns=8},
	character26={data={0,24,48,127,48,24,0,0},columns=8},
	character27={data={0,12,6,127,6,12,0,0},columns=8},
	character28={data={0,0,3,3,3,127,0,0},columns=8},
	character29={data={0,36,102,255,102,36,0,0},columns=8},
	character30={data={0,24,60,126,255,255,0,0},columns=8},
	character31={data={0,255,255,126,60,24,0,0},columns=8},
	character32={data={0,0,0,0,0,0,0,0},columns=8},
	character33={data={24,60,60,24,24,0,24,0},columns=8},
	character34={data={54,54,54,0,0,0,0,0},columns=8},
	character35={data={54,54,127,54,127,54,54,0},columns=8},
	character36={data={24,126,3,62,96,63,24,0},columns=8},
	character37={data={0,99,51,24,12,102,99,0},columns=8},
	character38={data={28,54,28,110,59,51,110,0},columns=8},
	character39={data={12,12,6,0,0,0,0,0},columns=8},
	character40={data={24,12,6,6,6,12,24,0},columns=8},
	character41={data={6,12,24,24,24,12,6,0},columns=8},
	character42={data={0,102,60,255,60,102,0,0},columns=8},
	character43={data={0,24,24,126,24,24,0,0},columns=8},
	character44={data={0,0,0,0,0,24,24,12},columns=8},
	character45={data={0,0,0,126,0,0,0,0},columns=8},
	character46={data={0,0,0,0,0,24,24,0},columns=8},
	character47={data={96,48,24,12,6,3,1,0},columns=8},
	character48={data={62,99,107,107,107,99,62,0},columns=8},
	character49={data={12,14,12,12,12,12,63,0},columns=8},
	character50={data={30,51,48,28,6,51,63,0},columns=8},
	character51={data={30,51,48,28,48,51,30,0},columns=8},
	character52={data={56,60,54,51,127,48,120,0},columns=8},
	character53={data={63,3,31,48,48,51,30,0},columns=8},
	character54={data={28,6,3,31,51,51,30,0},columns=8},
	character55={data={63,51,48,24,12,12,12,0},columns=8},
	character56={data={30,51,51,30,51,51,30,0},columns=8},
	character57={data={30,51,51,62,48,24,14,0},columns=8},
	character58={data={0,24,24,0,0,24,24,0},columns=8},
	character59={data={0,24,24,0,0,24,24,12},columns=8},
	character60={data={24,12,6,3,6,12,24,0},columns=8},
	character61={data={0,0,126,0,126,0,0,0},columns=8},
	character62={data={6,12,24,48,24,12,6,0},columns=8},
	character63={data={60,102,48,24,24,0,24,0},columns=8},
	character64={data={62,99,123,123,59,3,62,0},columns=8},
	character65={data={12,30,51,51,63,51,51,0},columns=8},
	character66={data={63,102,102,62,102,102,63,0},columns=8},
	character67={data={60,102,3,3,3,102,60,0},columns=8},
	character68={data={31,54,102,102,102,54,31,0},columns=8},
	character69={data={127,70,22,30,22,70,127,0},columns=8},
	character70={data={127,70,22,30,22,6,15,0},columns=8},
	character71={data={60,102,3,3,115,102,92,0},columns=8},
	character72={data={51,51,51,63,51,51,51,0},columns=8},
	character73={data={30,12,12,12,12,12,30,0},columns=8},
	character74={data={120,48,48,48,51,51,30,0},columns=8},
	character75={data={103,102,54,30,54,102,103,0},columns=8},
	character76={data={15,6,6,6,70,102,127,0},columns=8},
	character77={data={99,119,127,127,107,99,99,0},columns=8},
	character78={data={99,103,111,123,115,99,99,0},columns=8},
	character79={data={28,54,99,99,99,54,28,0},columns=8},
	character80={data={63,102,102,62,6,6,15,0},columns=8},
	character81={data={62,99,99,99,107,62,112,0},columns=8},
	character82={data={63,102,102,62,54,102,103,0},columns=8},
	character83={data={62,99,7,30,112,99,62,0},columns=8},
	character84={data={63,45,12,12,12,12,30,0},columns=8},
	character85={data={51,51,51,51,51,51,63,0},columns=8},
	character86={data={51,51,51,51,51,30,12,0},columns=8},
	character87={data={99,99,99,99,107,127,54,0},columns=8},
	character88={data={99,99,54,28,54,99,99,0},columns=8},
	character89={data={51,51,51,30,12,12,30,0},columns=8},
	character90={data={127,99,49,24,76,102,127,0},columns=8},
	character91={data={30,6,6,6,6,6,30,0},columns=8},
	character92={data={3,6,12,24,48,96,64,0},columns=8},
	character93={data={30,24,24,24,24,24,30,0},columns=8},
	character94={data={8,28,54,99,0,0,0,0},columns=8},
	character95={data={0,0,0,0,0,0,0,255},columns=8},
	character96={data={12,12,24,0,0,0,0,0},columns=8},
	character97={data={0,0,30,48,62,51,110,0},columns=8},
	character98={data={7,6,6,62,102,102,59,0},columns=8},
	character99={data={0,0,30,51,3,51,30,0},columns=8},
	character100={data={56,48,48,62,51,51,110,0},columns=8},
	character101={data={0,0,30,51,63,3,30,0},columns=8},
	character102={data={28,54,38,15,6,6,15,0},columns=8},
	character103={data={0,0,110,51,51,62,48,31},columns=8},
	character104={data={7,6,54,110,102,102,103,0},columns=8},
	character105={data={12,0,14,12,12,12,30,0},columns=8},
	character106={data={48,0,56,48,48,51,51,30},columns=8},
	character107={data={7,6,102,54,30,54,103,0},columns=8},
	character108={data={14,12,12,12,12,12,30,0},columns=8},
	character109={data={0,0,51,127,127,107,107,0},columns=8},
	character110={data={0,0,29,51,51,51,51,0},columns=8},
	character111={data={0,0,30,51,51,51,30,0},columns=8},
	character112={data={0,0,59,102,102,62,6,15},columns=8},
	character113={data={0,0,110,51,51,62,48,120},columns=8},
	character114={data={0,0,59,110,70,6,15,0},columns=8},
	character115={data={0,0,62,3,14,56,31,0},columns=8},
	character116={data={8,12,63,12,12,44,24,0},columns=8},
	character117={data={0,0,51,51,51,51,110,0},columns=8},
	character118={data={0,0,51,51,51,30,12,0},columns=8},
	character119={data={0,0,99,99,107,127,54,0},columns=8},
	character120={data={0,0,99,54,28,54,99,0},columns=8},
	character121={data={0,0,51,51,51,62,48,31},columns=8},
	character122={data={0,0,63,25,12,38,63,0},columns=8},
	character123={data={56,12,12,7,12,12,56,0},columns=8},
	character124={data={24,24,24,0,24,24,24,0},columns=8},
	character125={data={7,12,12,56,12,12,7,0},columns=8},
	character126={data={110,59,0,0,0,0,0,0},columns=8},
	character127={data={0,8,28,54,99,99,127,0},columns=8},
	character128={data={62,99,3,99,62,48,96,62},columns=8},
	character129={data={0,51,0,51,51,51,110,0},columns=8},
	character130={data={56,0,30,51,63,3,30,0},columns=8},
	character131={data={126,129,60,96,124,102,220,0},columns=8},
	character132={data={51,0,30,48,62,51,110,0},columns=8},
	character133={data={7,0,30,48,62,51,110,0},columns=8},
	character134={data={12,12,30,48,62,51,110,0},columns=8},
	character135={data={0,0,62,99,3,30,48,28},columns=8},
	character136={data={126,129,60,102,126,6,60,0},columns=8},
	character137={data={51,0,30,51,63,3,30,0},columns=8},
	character138={data={7,0,30,51,63,3,30,0},columns=8},
	character139={data={51,0,14,12,12,12,30,0},columns=8},
	character140={data={62,65,28,24,24,24,60,0},columns=8},
	character141={data={7,0,14,12,12,12,30,0},columns=8},
	character142={data={99,8,62,99,127,99,99,0},columns=8},
	character143={data={12,12,0,30,51,63,51,0},columns=8},
	character144={data={56,0,63,6,30,6,63,0},columns=8},
	character145={data={0,0,254,48,254,51,254,0},columns=8},
	character146={data={124,54,51,127,51,51,115,0},columns=8},
	character147={data={30,33,0,30,51,51,30,0},columns=8},
	character148={data={0,51,0,30,51,51,30,0},columns=8},
	character149={data={0,7,0,30,51,51,30,0},columns=8},
	character150={data={30,33,0,51,51,51,110,0},columns=8},
	character151={data={0,7,0,51,51,51,110,0},columns=8},
	character152={data={0,51,0,51,51,62,48,31},columns=8},
	character153={data={195,24,60,102,102,60,24,0},columns=8},
	character154={data={51,0,51,51,51,51,30,0},columns=8},
	character155={data={24,24,126,3,3,126,24,24},columns=8},
	character156={data={28,54,38,15,6,103,63,0},columns=8},
	character157={data={51,51,30,12,63,12,63,12},columns=8},
	character158={data={31,51,51,95,99,243,99,195},columns=8},
	character159={data={112,216,24,60,24,24,27,14},columns=8},
	character160={data={56,0,30,48,62,51,110,0},columns=8},
	character161={data={28,0,14,12,12,12,30,0},columns=8},
	character162={data={0,56,0,30,51,51,30,0},columns=8},
	character163={data={0,56,0,51,51,51,110,0},columns=8},
	character164={data={0,31,0,29,51,51,51,0},columns=8},
	character165={data={63,0,51,55,63,59,51,0},columns=8},
	character166={data={60,54,54,124,0,126,0,0},columns=8},
	character167={data={28,54,54,28,0,62,0,0},columns=8},
	character168={data={24,0,24,24,12,102,60,0},columns=8},
	character169={data={0,0,0,63,3,3,0,0},columns=8},
	character170={data={0,0,0,63,48,48,0,0},columns=8},
	character171={data={99,51,27,108,214,67,33,240},columns=8},
	character172={data={195,99,51,219,236,182,243,192},columns=8},
	character173={data={24,0,24,24,60,60,24,0},columns=8},
	character174={data={0,204,102,51,102,204,0,0},columns=8},
	character175={data={0,51,102,204,102,51,0,0},columns=8},
	character176={data={68,17,68,17,68,17,68,17},columns=8},
	character177={data={170,85,170,85,170,85,170,85},columns=8},
	character178={data={187,238,187,238,187,238,187,238},columns=8},
	character179={data={24,24,24,24,24,24,24,24},columns=8},
	character180={data={24,24,24,24,31,24,24,24},columns=8},
	character181={data={24,24,31,24,31,24,24,24},columns=8},
	character182={data={108,108,108,108,111,108,108,108},columns=8},
	character183={data={0,0,0,0,127,108,108,108},columns=8},
	character184={data={0,0,31,24,31,24,24,24},columns=8},
	character185={data={108,108,111,96,111,108,108,108},columns=8},
	character186={data={108,108,108,108,108,108,108,108},columns=8},
	character187={data={0,0,127,96,111,108,108,108},columns=8},
	character188={data={108,108,111,96,127,0,0,0},columns=8},
	character189={data={108,108,108,108,127,0,0,0},columns=8},
	character190={data={24,24,31,24,31,0,0,0},columns=8},
	character191={data={0,0,0,0,31,24,24,24},columns=8},
	character192={data={24,24,24,24,248,0,0,0},columns=8},
	character193={data={24,24,24,24,255,0,0,0},columns=8},
	character194={data={0,0,0,0,255,24,24,24},columns=8},
	character195={data={24,24,24,24,248,24,24,24},columns=8},
	character196={data={0,0,0,0,255,0,0,0},columns=8},
	character197={data={24,24,24,24,255,24,24,24},columns=8},
	character198={data={24,24,248,24,248,24,24,24},columns=8},
	character199={data={108,108,108,108,236,108,108,108},columns=8},
	character200={data={108,108,236,12,252,0,0,0},columns=8},
	character201={data={0,0,252,12,236,108,108,108},columns=8},
	character202={data={108,108,239,0,255,0,0,0},columns=8},
	character203={data={0,0,255,0,239,108,108,108},columns=8},
	character204={data={108,108,236,12,236,108,108,108},columns=8},
	character205={data={0,0,255,0,255,0,0,0},columns=8},
	character206={data={108,108,239,0,239,108,108,108},columns=8},
	character207={data={24,24,255,0,255,0,0,0},columns=8},
	character208={data={108,108,108,108,255,0,0,0},columns=8},
	character209={data={0,0,255,0,255,24,24,24},columns=8},
	character210={data={0,0,0,0,255,108,108,108},columns=8},
	character211={data={108,108,108,108,252,0,0,0},columns=8},
	character212={data={24,24,248,24,248,0,0,0},columns=8},
	character213={data={0,0,248,24,248,24,24,24},columns=8},
	character214={data={0,0,0,0,252,108,108,108},columns=8},
	character215={data={108,108,108,108,255,108,108,108},columns=8},
	character216={data={24,24,255,24,255,24,24,24},columns=8},
	character217={data={24,24,24,24,31,0,0,0},columns=8},
	character218={data={0,0,0,0,248,24,24,24},columns=8},
	character219={data={255,255,255,255,255,255,255,255},columns=8},
	character220={data={0,0,0,0,255,255,255,255},columns=8},
	character221={data={15,15,15,15,15,15,15,15},columns=8},
	character222={data={240,240,240,240,240,240,240,240},columns=8},
	character223={data={255,255,255,255,0,0,0,0},columns=8},
	character224={data={0,0,110,59,19,59,110,0},columns=8},
	character225={data={62,99,99,51,99,195,115,0},columns=8},
	character226={data={0,63,51,3,3,3,3,0},columns=8},
	character227={data={0,0,127,54,54,54,54,0},columns=8},
	character228={data={63,51,6,12,6,51,63,0},columns=8},
	character229={data={0,0,126,27,27,27,14,0},columns=8},
	character230={data={0,102,102,102,102,62,6,3},columns=8},
	character231={data={0,110,59,24,24,24,24,0},columns=8},
	character232={data={63,12,30,51,51,30,12,63},columns=8},
	character233={data={28,54,99,127,99,54,28,0},columns=8},
	character234={data={28,54,99,99,54,54,119,0},columns=8},
	character235={data={56,12,24,62,51,51,30,0},columns=8},
	character236={data={0,0,126,219,219,126,0,0},columns=8},
	character237={data={96,48,126,219,219,126,6,3},columns=8},
	character238={data={28,6,3,31,3,6,28,0},columns=8},
	character239={data={30,51,51,51,51,51,51,0},columns=8},
	character240={data={0,126,0,126,0,126,0,0},columns=8},
	character241={data={24,24,126,24,24,0,126,0},columns=8},
	character242={data={6,12,24,12,6,0,63,0},columns=8},
	character243={data={24,12,6,12,24,0,63,0},columns=8},
	character244={data={112,216,216,24,24,24,24,24},columns=8},
	character245={data={24,24,24,24,24,27,27,14},columns=8},
	character246={data={24,24,0,126,0,24,24,0},columns=8},
	character247={data={0,110,59,0,110,59,0,0},columns=8},
	character248={data={28,54,54,28,0,0,0,0},columns=8},
	character249={data={0,0,0,24,24,0,0,0},columns=8},
	character250={data={0,0,0,0,24,0,0,0},columns=8},
	character251={data={240,48,48,48,55,54,60,56},columns=8},
	character252={data={26,54,54,54,54,0,0,0},columns=8},
	character253={data={14,25,12,6,31,0,0,0},columns=8},
	character254={data={0,0,60,60,60,60,0,0},columns=8},
	character255={data={0,0,0,0,0,0,0,0},columns=8},
  
  maze0= {data=stringsToData({"........","........","........","...XX...","...XX...","........","........","........"}),columns=8},
  maze1= {data=stringsToData({"...XX...","...XX...","...XX...","...XX...","...XX...","........","........","........"}),columns=8},
  maze2= {data=stringsToData({"........","........","........","...XXXXX","...XXXXX","........","........","........"}),columns=8},
  maze3= {data=stringsToData({"...XX...","...XX...","...XX...","...XXXXX","...XXXXX","........","........","........"}),columns=8},
  maze4= {data=stringsToData({"........","........","........","...XX...","...XX...","...XX...","...XX...","...XX..."}),columns=8},
  maze5= {data=stringsToData({"...XX...","...XX...","...XX...","...XX...","...XX...","...XX...","...XX...","...XX..."}),columns=8},
  maze6= {data=stringsToData({"........","........","........","...XXXXX","...XXXXX","...XX...","...XX...","...XX..."}),columns=8},
  maze7= {data=stringsToData({"...XX...","...XX...","...XX...","...XXXXX","...XXXXX","...XX...","...XX...","...XX..."}),columns=8},
  maze8= {data=stringsToData({"........","........","........","XXXXX...","XXXXX...","........","........","........"}),columns=8},
  maze9= {data=stringsToData({"...XX...","...XX...","...XX...","XXXXX...","XXXXX...","........","........","........"}),columns=8},
  maze10={data=stringsToData({"........","........","........","XXXXXXXX","XXXXXXXX","........","........","........"}),columns=8},
  maze11={data=stringsToData({"...XX...","...XX...","...XX...","XXXXXXXX","XXXXXXXX","........","........","........"}),columns=8},
  maze12={data=stringsToData({"........","........","........","XXXXX...","XXXXX...","...XX...","...XX...","...XX..."}),columns=8},
  maze13={data=stringsToData({"...XX...","...XX...","...XX...","XXXXX...","XXXXX...","...XX...","...XX...","...XX..."}),columns=8},
  maze14={data=stringsToData({"........","........","........","XXXXXXXX","XXXXXXXX","...XX...","...XX...","...XX..."}),columns=8},
  maze15={data=stringsToData({"...XX...","...XX...","...XX...","XXXXXXXX","XXXXXXXX","...XX...","...XX...","...XX..."}),columns=8},
  
  
  
  house ={data=stringsToData({"...X....","..XXX...",".XXXXX..","XXXXXXX.",".XXXXX..",".XX.XX..",".XX.XX..","........"}),columns=8},
  door={data=stringsToData({"...XX...","..XXXX..",".XXXXXX.",".XXXXXX.",".XXXXXX.",".XXXX.X.",".XXXXXX.",".XXXXXX."}),columns=8},
  wall={data=stringsToData({"........",".XXXXXXX",".XXXXXXX",".XXXXXXX","........","XXXX.XXX","XXXX.XXX","XXXX.XXX"}),columns=8},
  field={data=stringsToData({"........",".X...X..","........","...X...X","........",".X...X..","........","...X...X"}),columns=8},
  tagon={data=stringsToData({"..XXX...","..XXX...","...X....",".XXXXX..","X.XXX.X.","..XXX...","..X.X...","..X.X..."}),columns=8},
  tree ={data=stringsToData({"....X...","....X...","...XXX..","...XXX..","..XXXXX.","..XXXXX.",".XXXXXXX","....X..."}),columns=8},
  bush ={data=stringsToData({"........","..XXXX..",".XXXX.X.","XX.XXXXX","XXXXX.XX",".XXXXXX.","...XX...","...XX..."}),columns=8},
  berries ={data=stringsToData({"........","........",".....X..","..X.....",".....X..","........","........","........"}),columns=8}
}


